Jump to content


WordPress 3 Compatibility


This topic has been archived. This means that you cannot reply to this topic.
1 reply to this topic

#1 Guest_Chris Funk_*

Guest_Chris Funk_*
  • Guests

Posted 07 April 2010 - 08:49 AM

I am looking to purchase themes for a couple of development projects,
but I haven't been able to find any information on whether or not
WordPress 3 will break theme compatibility.

Are your themes WP3
compatible? If not, will you offer updates to make them compatible?
Will there be an upgrade charge?

Thanks for the info,

--Chris

#2 Chris Jean

Chris Jean

    Code Monkey

  • Administrators
  • 3,253 posts

Posted 07 April 2010 - 01:50 PM

Will WordPress 3 break our themes? So far, I haven't found any issues with any of our themes. However, version 3 is still in development, so I can't be 100% certain that they will be completely compatible as they are right now.

Will we ensure that our themes are version 3 compatible? Yes. I've been testing our code on the nightly build and trunk builds of WordPress for more than a month now. We are very dedicated to ensuring compatibility with the latest versions of WordPress.

Will there be an upgrade charge? No. When you purchase any of our themes, you get 1 year of support and upgrade access. So, if you purchase a theme today, you will get access to the latest release versions of the theme you've purchased for a full year.

Beyond merely functioning on WordPress 3, I've also been working on adding support for some of the new features. For example, Builder already works with the version 3 menu builder system in WordPress. I'm still working on getting that support added to our other themes that can make good use of that feature.